For the complete documentation index, see llms.txt. This page is also available as Markdown.

Batch

Verifone internal batch operations; used for merchant & POI maintenance.

Get single batch details

get
Path parameters
batchIdstring · uuidRequired

Idenitifer assigned to the order batch.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
Responses
200

Details of a batch

application/json

Modifiable details of a batch.

processingStatusstring · enumRequiredPossible values:
responseFileSentbooleanOptionalDefault: false
responseFileNamestring · max: 200Optional
batchIdstring · uuidRequired

Idenitifer assigned to the order batch.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
fileCreatedDatestring · date-timeOptional

The date time when the file was created on SFTP.

filePickupDatestring · date-timeOptional

The date time when the file was picked up by the batch process.

fileNamestring · max: 200Optional
orderTypestring · enumOptionalDefault: MerchantOrderPossible values:
retryCountinteger · max: 100OptionalDefault: 0
completionDatestring · date-timeOptional
get/orders/batch/{batchId}
GET /orders/batch/{batchId} HTTP/1.1
Host: api.verifone.com
Accept: */*
{
  "processingStatus": "SUCCESS",
  "responseFileSent": false,
  "responseFileName": "text",
  "batchId": "14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9",
  "fileCreatedDate": "2026-01-01T00:00:00.000Z",
  "filePickupDate": "2026-01-01T00:00:00.000Z",
  "fileName": "text",
  "orderType": "MerchantOrder",
  "retryCount": 0,
  "transactions": [
    {
      "orderId": "32c480b5-4dfb-4c53-959f-49edf45a0931",
      "requestId": "text",
      "entityType": "MERCHANT_COMPANY",
      "operation": "PARTIAL_UPDATE",
      "entityLogicalId": "text",
      "keyValues": "text",
      "createdDate": "2026-01-01T00:00:00.000Z",
      "status": "200",
      "response": "Merchant Entity Updated Successfully",
      "orderStatus": "DRAFT"
    }
  ],
  "completionDate": "2026-01-01T00:00:00.000Z"
}

Trigger batch operations

post
Path parameters
batchIdstring · uuidRequired

Idenitifer assigned to the order batch.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
Query parameters
notesstring · max: 100Optional

Additional information

Responses
201

Batch triggered

application/json

Modifiable details of a batch.

processingStatusstring · enumRequiredPossible values:
responseFileSentbooleanOptionalDefault: false
responseFileNamestring · max: 200Optional
batchIdstring · uuidRequired

Idenitifer assigned to the order batch.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
fileCreatedDatestring · date-timeOptional

The date time when the file was created on SFTP.

filePickupDatestring · date-timeOptional

The date time when the file was picked up by the batch process.

fileNamestring · max: 200Optional
orderTypestring · enumOptionalDefault: MerchantOrderPossible values:
retryCountinteger · max: 100OptionalDefault: 0
completionDatestring · date-timeOptional
post/orders/batch/{batchId}
POST /orders/batch/{batchId} HTTP/1.1
Host: api.verifone.com
Accept: */*
{
  "processingStatus": "SUCCESS",
  "responseFileSent": false,
  "responseFileName": "text",
  "batchId": "14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9",
  "fileCreatedDate": "2026-01-01T00:00:00.000Z",
  "filePickupDate": "2026-01-01T00:00:00.000Z",
  "fileName": "text",
  "orderType": "MerchantOrder",
  "retryCount": 0,
  "transactions": [
    {
      "orderId": "32c480b5-4dfb-4c53-959f-49edf45a0931",
      "requestId": "text",
      "entityType": "MERCHANT_COMPANY",
      "operation": "PARTIAL_UPDATE",
      "entityLogicalId": "text",
      "keyValues": "text",
      "createdDate": "2026-01-01T00:00:00.000Z",
      "status": "200",
      "response": "Merchant Entity Updated Successfully",
      "orderStatus": "DRAFT"
    }
  ],
  "completionDate": "2026-01-01T00:00:00.000Z"
}

Update batch details

patch
Path parameters
batchIdstring · uuidRequired

Idenitifer assigned to the order batch.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
Query parameters
notesstring · max: 100Optional

Additional information

Body

Modifiable details of a batch.

processingStatusstring · enumOptionalPossible values:
responseFileSentbooleanOptionalDefault: false
responseFileNamestring · max: 200Optional
Responses
201

Batch details updated

application/json

Modifiable details of a batch.

processingStatusstring · enumRequiredPossible values:
responseFileSentbooleanOptionalDefault: false
responseFileNamestring · max: 200Optional
batchIdstring · uuidRequired

Idenitifer assigned to the order batch.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
fileCreatedDatestring · date-timeOptional

The date time when the file was created on SFTP.

filePickupDatestring · date-timeOptional

The date time when the file was picked up by the batch process.

fileNamestring · max: 200Optional
orderTypestring · enumOptionalDefault: MerchantOrderPossible values:
retryCountinteger · max: 100OptionalDefault: 0
completionDatestring · date-timeOptional
patch/orders/batch/{batchId}
PATCH /orders/batch/{batchId} HTTP/1.1
Host: api.verifone.com
Content-Type: application/json
Accept: */*
Content-Length: 81

{
  "processingStatus": "SUCCESS",
  "responseFileSent": false,
  "responseFileName": "text"
}
{
  "processingStatus": "SUCCESS",
  "responseFileSent": false,
  "responseFileName": "text",
  "batchId": "14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9",
  "fileCreatedDate": "2026-01-01T00:00:00.000Z",
  "filePickupDate": "2026-01-01T00:00:00.000Z",
  "fileName": "text",
  "orderType": "MerchantOrder",
  "retryCount": 0,
  "transactions": [
    {
      "orderId": "32c480b5-4dfb-4c53-959f-49edf45a0931",
      "requestId": "text",
      "entityType": "MERCHANT_COMPANY",
      "operation": "PARTIAL_UPDATE",
      "entityLogicalId": "text",
      "keyValues": "text",
      "createdDate": "2026-01-01T00:00:00.000Z",
      "status": "200",
      "response": "Merchant Entity Updated Successfully",
      "orderStatus": "DRAFT"
    }
  ],
  "completionDate": "2026-01-01T00:00:00.000Z"
}

List batches

get
Query parameters
customerEntityUidstring · uuidOptional

The Verifone allocated unique id for this site.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
orderIdstring · uuidOptional

Verifone allocated ID for the Order.

Example: 32c480b5-4dfb-4c53-959f-49edf45a0931
statusstring · enumOptional

Batch status for this request

Possible values:
pageNumberinteger · min: 1Optional

Page number for records.

Default: 1Example: 1
pageSizeinteger · min: 1 · max: 100Optional

Page size for returned records.

Default: 50Example: 50
startTimestring · date-timeOptional

The record date/time to search from.

Example: 2020-01-06T18:16:14.243Z
endTimestring · date-timeOptional

The record date/time to search to.

Example: 2020-01-06T18:16:14.243Z
populateTransactionsbooleanOptional

Whether to include transactions

Default: false
orderBystringOptional

The field to order by.Supports startTime,endTime,status,customerEntityUid

Responses
200

Batch search results

application/json
get/orders/batch
GET /orders/batch HTTP/1.1
Host: api.verifone.com
Accept: */*
{
  "batches": [
    {
      "processingStatus": "SUCCESS",
      "responseFileSent": false,
      "responseFileName": "text",
      "batchId": "14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9",
      "fileCreatedDate": "2026-01-01T00:00:00.000Z",
      "filePickupDate": "2026-01-01T00:00:00.000Z",
      "fileName": "text",
      "orderType": "MerchantOrder",
      "retryCount": 0,
      "transactions": [
        {
          "orderId": "32c480b5-4dfb-4c53-959f-49edf45a0931",
          "requestId": "text",
          "entityType": "MERCHANT_COMPANY",
          "operation": "PARTIAL_UPDATE",
          "entityLogicalId": "text",
          "keyValues": "text",
          "createdDate": "2026-01-01T00:00:00.000Z",
          "status": "200",
          "response": "Merchant Entity Updated Successfully",
          "orderStatus": "DRAFT"
        }
      ],
      "completionDate": "2026-01-01T00:00:00.000Z"
    }
  ],
  "metadata": {
    "totalPages": 1,
    "pageNumber": 1,
    "pageSize": 50,
    "totalItems": 25
  }
}

Last updated

Was this helpful?